<?
define('PROTECTOR', 1);

include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
$textl="$set[name] | онлайн игра MMORPG для телефонов бесплатно";
if ($user_id==0){
include($path.'files/head.php');
/////////////////////
$timeout = time() - 150;
$online = mysql_num_rows(mysql_query("SELECT * FROM online WHERE laikas > '$timeout'"));
$reg = mysql_num_rows(mysql_query("SELECT `id` FROM users"))+$set[users_plus];

/////////////////////
switch($_GET[mod]){
default:
echo'<div class="m_bg">';
echo'<center><img src="pic/logo.gif"/></center></div>';


echo'<div class="m_bg">';
echo'<center>Добро пожаловать в бесплатную онлайн игру.<br>
<font color="green"><b>'.$set[name].'</b></font></center>';
if($set[users] == yes){echo'<center><b>'.$reg.' человек уже сделали свой выбор и начали борьбу в этой игре</b></center>';}
echo "$set[opis]<br/>";
if (isset($_GET[error]))
{ echo'<center><b>Пароль или логин введены не правильно. Имя вводите с учетом регистра (если при регистрации ввели ник Василий - то ник василий уже не прокатит).</b></center><br>'; }
///////////////////////////////////////////////////////////////////////////////////////////
if(isset($_GET['lost'])){
if (empty($_POST['submit1'])) {
echo '<form action="?lost" method="post">';
echo"Имя персонажа:<br/><input class='input' type=\"text\" size=\"15\" name=\"log\"/><br />";
echo"E-mail:<br/><input class='input' type=\"text\" size=\"15\" maxlength=\"20\" name=\"email\"/><br>";

echo '<input type="submit" name="submit1" value="Восстановить"/></form>';

}else{

$name=mysql_real_escape_string (stripslashes($_POST['log']));
$email=mysql_real_escape_string (stripslashes($_POST['email']));

$ku = mysql_query("SELECT `id` FROM `users` WHERE `email` = '$email' and `usr`='$name' limit 1");
$ku=mysql_num_rows($ku);
if($ku==1){
$newpassword =uniqid("F");
$newpas=substr($newpassword,3);
$new=md5($newpas);

$mail = $_POST[email];
$subject = 'Восстановление пароля haos.mobi';
$mess = 'Доброго времени. Ваш новый пароль: '.$newpas.'. С уважением, haos.mobi';


mail("$mail", "$subject", "$mess");

echo "Пароль выслан Вам на почту";

    mysql_query("UPDATE `users` SET `pass`='$new' WHERE `usr` = '$name' LIMIT 1");  }

echo "<br>";

} }
////////////////////////////////

if(isset($_GET['vxod'])){
echo'<form method="post" action="enter.php">';
echo "<b>Логин:</b><br/>";
echo "<input name=\"log\" maxlength=\"20\" title=\"nick\" emptyok=\"true\"/><br/>";
echo "<b>Пароль:</b><br/>";
echo "<input name=\"pas\"  type=\"password\"  maxlength=\"20\" title=\"password\" emptyok=\"true\"/><br/>";
echo'<input name="mem" type="checkbox" value="1" /> Запомнить меня<br /><br/>';
echo '<input class="button" type="submit" value="Войти"/></form>';
}else{
echo "<img src='pic/main/vxod.png' alt='*'/> <a href=\"index.php?vxod\">Войти</a><br/>";
echo "<img src='pic/main/sword2.png' alt='*'/> <a href=\"rules.php\">Начать игру</a> | <a href=\"index.php?lost\">Забыл пароль?</a>";
}
echo'</div><div class="m_bg">';
$razn = 3;// для Москвы зимой
$times = gmdate("H:i:s",time()+($razn*3600));

if($set[show_time] == yes){
echo $times; }
if($set[show_time] == yes && $set[show_online] == yes){ echo', '; }
if($set[show_online] == yes){

echo'Онлайн: '.$online.'</div>';}
break;


}
include($path.'files/end.php');
}else{
if($_GET[mod]=='exit'){
$header=TRUE;
}
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET[mod]){

default:
//////////
$taim = 150;
$date = time();
$timeout = $date - $taim;
$online = mysql_num_rows(mysql_query("SELECT * FROM online WHERE laikas > '$timeout'"));
////////////////
$q = mysql_query("SELECT COUNT(*) FROM `msg_r` WHERE `user_to` = '$log' AND `read` = '1';");
$new_mail = mysql_result($q, 0);
$w = mysql_query("SELECT COUNT(*) FROM `msg_r` WHERE `user_to` = '$log';");
$old_mail = mysql_result($w, 0);
//////////////

$q1 = mysql_query("SELECT COUNT(*) FROM `otchet` WHERE `user_to` = '$log' AND `read` = '1';");
$new_mail1 = mysql_result($q1, 0);
$w1 = mysql_query("SELECT COUNT(*) FROM `otchet` WHERE `user_to` = '$log';");
$old_mail1 = mysql_result($w1, 0);


$asd = mysql_query("SELECT time FROM news ORDER BY id DESC LIMIT 1");
$news = mysql_fetch_array($asd);
//////////////
$req = mysql_query("SELECT * FROM `invite` WHERE `usr` = '$log'");
////////////////////////////
$inv=mysql_num_rows($req);
///////////////////
$chat= mysql_num_rows(mysql_query("SELECT * FROM komentarai"));
$news= mysql_num_rows(mysql_query("SELECT * FROM news"));


	$ft=mysql_result(mysql_query("SELECT count(*) FROM `forum_topics`"), 0); // кол-о тем в форуме


	$fm=mysql_result(mysql_query("SELECT count(*) FROM `forum_msg`"), 0); // кол-о сообщений в форуме

//////////////
if($udata[prava]>=2){
echo'<b>Управление</b><br/>';
if($udata[prava]>=4){
echo'&#187; <a href="adm_panel.php?">Админ-панель</a><br/>';
}
if($udata[prava]>=2){
echo'&#187; <a href="mod_panel.php?">Модер-панель</a><br/>';
}
}
//Модификация главной страницы
if($udata['city'] == 'fornost' and $udata['lvl']>4 and $udata['info_lvl'] == '1'){
echo'<div class="info" align="center">';
echo"Поздравляем Вас, Вы стали частью $set[name], получив пятый уровень, теперь Вы можете путешествовать по городам [<a href=index.php?mod=info_lvl>X</a>]";
echo'</div>';}
$rasp= mysql_num_rows(mysql_query("SELECT `id` FROM `mob` WHERE `tip` = 'boss' and status ='off' and `city` != 'clan_city' "));
echo'<div class="m_bg">Информация</div><div class="m_bg">';
echo'&#187; <a href="online.php?">Разведчик </a>['.$online.']<br/>';
echo'&#187; <a href="ticket.php?">Служба поддержки</a><br/>';
echo'&#187; <a href="mob_rasp.php?">Расписание</a> ['.$rasp.']<br/>';
echo'&#187; <a href="rating.php?">Зал Славы</a><br/>';
echo'&#187; <a href="library.php?">FAQ</a><br/>';
echo'&#187; <a href="index.php?mod=adm">Администрация</a></div>';

$lines = file("fots/fotogal/bases.dat");
if($lines){
$total= count($lines);}
$total=(int)$total;

echo"<div class='m_bg'>Общение</div><div class='m_bg'>
&#187; <a href=\"news.php?\">Новости</a> [$news]<br/>
&#187; <a href=\"hram.php?\">ЗАГС</a><br/>
&#187; <a href=\"chat.php?\">Чат</a> [$chat]<br/>
&#187; <a href=\"fots.php?\">Фотографии</a> [$total]<br/>
&#187; <a href=\"forum\">Форум</a> [$ft/$fm]<br/>";
echo"&#187; <a href=\"msg.php?\">Почта</a> [$new_mail/$old_mail]<br/>";
echo"&#187; <a href=\"otchet.php?\">Отчеты</a> [$new_mail1/$old_mail1]</div>";
echo"<div class='m_bg'>Персонаж</b></div><div class='m_bg'>";
echo"&#187; <a href=\"pers.php?\">Персонаж</a><br/>";
echo"&#187; <a href=\"index.php?mod=inv\">Приглашения</a> [$inv]<br/>";
echo"&#187; <a href=\"index.php?mod=quests\">Квесты</a><br/>";
echo"&#187; <a href=\"index.php?mod=ref\"><b>Пригласи друзей</b></a></div>";

$time=time();
$req = mysql_query("SELECT * FROM `ban` WHERE `ban_time`>'$time'");
////////////////////////////
$banners=mysql_num_rows($req);

echo"<div class='m_bg'>Разное</div><div class='m_bg'>";
echo"&#187; <a href=\"search.php?\">Поиск игроков</a><br/>";
echo"&#187; <a href=\"zona.php?\">Тюрьма</a> [$banners]<br/>";
echo"&#187; <a href=\"index.php?mod=rules\">Правила</a><br/>";
echo"&#187; <a href=\"index.php?mod=exit\">Выход</a></div>";








 echo"<div class='m_bg'>Cкин/тема:</div><div class='m_bg'>
 <form action=\"index.php?mod=style\" method=\"post\">
    <select name=\"theme\" class=\"textbox\"><option>";
    echo $themes;
    echo"</option>";

    $dir = opendir ("theme/");
    while ($file = readdir($dir))
     {
       if ($file != '.' && $file != '..' && $file != '')
       {
        echo "<option>$file</option>";
       }
     }
    echo '</select><input class="button" type="submit" value="Сменить" /></form></div>';
    closedir ($dir);





break;

case 'style':
$dir = $_POST[theme];

if(is_dir("theme/$dir")){
mysql_query("UPDATE `users` SET `style`='$_POST[theme]' WHERE `usr` = '$log'");
echo'Вы изменили стиль'; }
else{ echo"Ошибка.";}
echo'<br><a href="index.php">Вернуться</a>';


break;
case 'info_lvl':
mysql_query("UPDATE `users` SET `info_lvl`='0' WHERE `usr` = '$log'");
echo'Вы скрыли уведомление';
echo'<br><a href="index.php">Вернуться</a>';
break;

case 'zayavka':
if($udata[pol]=="m"){echo"Вам сюда нельзя<br/>";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `zamuj` WHERE `usr` = '$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){

if($avto>=1){
While($inv = mysql_fetch_array($req))
{
$req = mysql_query("SELECT `name` FROM `clan` WHERE `lider` = '$inv[clan]'");
$clan = mysql_fetch_array($req);

$nickas = strip_tags($inv[clan]);
$req = mysql_query("SELECT `storona` FROM `users` WHERE `usr` = '$nickas'");
$pic = mysql_fetch_array($req);


echo"» <a href=\"index.php?mod=zayavka&id=$inv[id]\">Предложение от игрока</a>"; echo' <img src="pic/main/'.$pic['storona'].'.png" alt="#"/>'; echo" <a href=\"search.php?nick=$inv[clan]&go=go\">$inv[clan]</a><br/>";
}
echo"<br/><b>Всего Предложений: $avto</b><br/>";
}else{
echo"<b>Нет Предложений!</b>";
}}else{
$req = mysql_query("SELECT * FROM `zamuj` WHERE `usr` = '$log' and `id`='".mysql_real_escape_string($_GET['id'])."'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого Предложениея!';
include"files/down.php";
exit;
}
$inv = mysql_fetch_array($req);

if(empty($_GET[go])){

$nickas = strip_tags($inv[clan]);
$req = mysql_query("SELECT `storona` FROM `users` WHERE `usr` = '$nickas'");
$pic = mysql_fetch_array($req);


echo"Вам предложил вступить в брак:"; echo' <img src="pic/main/'.$pic['storona'].'.png" alt="#"/>';echo" <a href=\"search.php?nick=$inv[clan]&go=go\">$inv[clan]</a><br/>";
echo"Текст к Предложению: $inv[text]<br/><br/>";

echo"<a href=\"index.php?mod=zayavka&id=$_GET[id]&go=ok\">Вступить в брак</a><br/>";
echo"<a href=\"index.php?mod=zayavka&id=$_GET[id]&go=no\">Отказаться</a><br/>";
echo "<a href=\"index.php?\"> Вернуться</a><br>";
}else{
if($_GET[go]==ok){

if(!empty($udata[zamujem])){
echo'Вы уже состоите в браке!';
include"files/down.php";
exit;
}
mysql_query("DELETE FROM `zamuj` WHERE usr='$log' and `id`='".mysql_real_escape_string($_GET['id'])."'");
mysql_query("UPDATE `users` SET `zamujem`='$inv[clan]' WHERE `usr` = '$log'");
mysql_query("UPDATE `users` SET `zamujem`='$log' WHERE `usr` = '$inv[clan]'");
mysql_query("INSERT INTO
        `ya_zamujem` SET
        `usr` = '$log'");


echo"Предложение принято.<br>Поздравляем вас вы заключили брак с: $inv[clan]!<br/>";

}elseif($_GET[go]==no){

mysql_query("DELETE FROM `zamuj` WHERE usr='$log' and `id`='".mysql_real_escape_string($_GET['id'])."'");

echo"Предложение отклонено.<br/>";
}else{
echo"Ошибка!<br/>";
}

echo "<br/><br/>» <a href=\"index.php?\"> Вернуться</a><br>";

}}




break;



case 'ref':
echo'У вас есть возможность пригласить своих друзей и получить за это вознаграждение!<br/>
Когда ваш друг достигает 5 уровня вы получаете 2500 монет и 2500 опыта!<br/>
';
echo"<b>Ваша ссылка для приглашений: http://haos.mobi/reg.php?ref=$udata[id]</b><br/>";
$refov= mysql_num_rows(mysql_query("SELECT `id` FROM `users` WHERE `ref`='$udata[id]'"));
echo'Активных рефералов: <b>'.$refov.'</b><br/>';

//test
$req = mysql_query("SELECT * FROM `users` WHERE `ref`='$udata[id]'");
if (mysql_num_rows($req)) {
    echo '<b>Рефералы:</b><br/>';
    $i=1;
   While($res = mysql_fetch_array($req)){
echo"$i. <b><a href=\"search.php?nick=$res[usr]&amp;go=go\">$res[usr]</a></b><br/>";
      $i++;
    }
}


echo"<a href=\"index.php?\">Назад</a>";
break;

case 'rules':
echo'<div class="m_bg">';
echo'<b>Правила для игроков (ЗАПРЕЩЕНО):</b><br/>
1) Применение ненормативной лексики, завуалированого мата, оскорблений в любом из модулей проекта, а именно:<br/>
*в чате;<br/>
*на общеигровом форуме;<br/>
*в названии клана;<br/>
*в нике персонажа;<br/>
*в анкете;<br/>
*в личных сообщениях;<br/>
*в званиях персонажа, а так же в любых других модулях проекта.
<br/>2) Проявления религиозной, расовой, половой и прочей дискриминации.
<br/>3) Разжигание конфликтов между участниками игры, поддержание конфликта.
<br/>4) Преднамеренное многократное повторение сообщений, сообщения лишенные смысла (флуд).
<br/>5) Верхний регистр при общении.
<br/>6) Распространение ссылок на посторонние ресурсы, реклама посторонних интернет - ресурсов, как прямая, так и косвенная!
<br/>7) Нечестная прокачка игрового персонажа, использование сторонних программных средств для улучшения/автоматизации игровых возможностей.
Использование недочетов игры, багов, программных ошибок, распространение их другим лицам/продажа за деньги.
<br/>P. S. При нахождении таковых немедленно сообщите Администрации, за что можете получить вознаграждение.
<br/>8) Продажа персонажа, игровых денег, вещей и прочего, что касается игры, за реальные деньги, равно как и попытка совершить одно из данных действий, в обход Администрации!
<br/>9) Намеренная регистрация персонажей с никами - плагиатами ников Администрации/модераторов, с никами несущими рекламу посторонних интернет- ресурсов.
Использование приставок [SAdm],[Adm],[SM],[M], в имени персонажа, названии клана, звании персонажа!
<br/>10) Обман,ввод в заблуждение,дача ложных показаний,отказ в сотрудничестве при решении спорных вопросов, а так же угрозы Администрации/модераторам!
<br/>11) Обсуждать, перечить действиям, оскорблять Администрацию/модераторов, игровой сервер!
<br/>12) После наказания нарушителя правил, заведомое создание персонажей, или уже существующими персонажами вести дальнейшие разборки.
<br/>13) Просьбы о назначении на должность модератора.
<br/>14) Использование мультов - игровых клонов, прокачка нескольких игровых персонажей.
<br/>Вы обязуетесь выполнять рекомендации/замечания которые делает вам Администратор, модератор.<br/>
<b>Незнание правил не освобождает от ответственности!</b></div>';
echo"<a href=\"index.php?\">Назад</a>";
break;

case 'adm':
echo '<b>Администрация игры</b><br/>';
// Супервайзоры
$req = mysql_query("SELECT * FROM `users` WHERE `prava` = '5'");
if (mysql_num_rows($req)) {
    echo '<b>Главные администраторы:</b><br/>';
    $i=1;
   While($res = mysql_fetch_array($req)){
echo"$i. <b><a href=\"search.php?nick=$res[usr]&amp;go=go\">$res[usr]</a></b><br/>";
      $i++;
    }
}
// Администраторы
$req = mysql_query("SELECT * FROM `users` WHERE `prava` = '4'");
if (mysql_num_rows($req)) {
    echo'<b>Администраторы:</b><br/>';
    $i=1;
   While($res = mysql_fetch_array($req)){
echo"$i. <b><a href=\"search.php?nick=$res[usr]&amp;go=go\">$res[usr]</a></b><br/>";
      $i++;
    }
}else{
echo"";
}
// Старшие Модераторы
// Администраторы
$req = mysql_query("SELECT * FROM `users` WHERE `prava` = '3'");
if (mysql_num_rows($req)) {
    echo '<b>Старшие Модераторы:</b><br/>';
    $i=1;
   While($res = mysql_fetch_array($req)){
echo"$i. <b><a href=\"search.php?nick=$res[usr]&amp;go=go\">$res[usr]</a></b><br/>";
      $i++;
    }
}else{
echo"";
}
// Модераторы
$req = mysql_query("SELECT * FROM `users` WHERE `prava` = '2'");
if (mysql_num_rows($req)) {
    echo '<b>Модераторы:</b><br/>';
    $i=1;
   While($res = mysql_fetch_array($req)){
echo"$i. <b><a href=\"search.php?nick=$res[usr]&amp;go=go\">$res[usr]</a></b><br/>";
      $i++;
    }
}else{
echo"";
}
echo"<a href=\"index.php?\">Назад</a>";
break;
case 'inv':
$req = mysql_query("SELECT * FROM `invite` WHERE `usr` = '$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($inv = mysql_fetch_array($req))
{
$req = mysql_query("SELECT `name` FROM `clan` WHERE `lider` = '$inv[clan]'");
$clan = mysql_fetch_array($req);

echo"<a href=\"index.php?mod=inv&amp;id=$inv[id]\"><b>Приглашение от клана $clan[name]</b></a><br/>";
}
echo"<br/><b>Всего приглашений: $avto</b><br/>";
}else{
echo"<b>Нет приглашений!</b>";
}}else{
$req = mysql_query("SELECT * FROM `invite` WHERE `usr` = '$log' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого приглашения!';
include"files/down.php";exit;
}
$inv = mysql_fetch_array($req);

$req = mysql_query("SELECT `name` FROM `clan` WHERE `lider` = '$inv[clan]'");
$clan = mysql_fetch_array($req);
if(empty($_GET[go])){
echo"Отправитель: <b>$clan[name]</b><br/>";
echo"Текст: $inv[text]<br/>";

echo"<a href=\"index.php?mod=inv&amp;id=$_GET[id]&amp;go=ok\">Принять</a><br/>";
echo"<a href=\"index.php?mod=inv&amp;id=$_GET[id]&amp;go=no\">Отказаться</a><br/>";
echo"<a href=\"index.php?mod=inv\">Назад</a>";
}else{
if($_GET[go]==ok){
if(!empty($udata[clan])){
echo'Вы уже находитесь в клане!';
include"files/down.php";exit;
}
mysql_query("DELETE FROM `invite` WHERE usr='$log' and `id`='$_GET[id]'");
mysql_query("UPDATE `users` SET `clan`='$inv[clan]' WHERE `usr` = '$log'");

echo"Приглашение принято.Вы вступили в клан $clan[name]!<br/>";

}elseif($_GET[go]==no){

mysql_query("DELETE FROM `invite` WHERE usr='$log' and `id`='$_GET[id]'");

echo"Приглашение отклонено.<br/>";
}else{
echo"Ошибка!<br/>";
}
echo"<a href=\"index.php?mod=inv\">Назад</a>";
}
}
break;
case 'quests':
if($_GET[act]==start){
$req = mysql_query("SELECT * FROM `userquests` WHERE `usr` = '$log' and `status`='start'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет квестов!';
include"files/down.php";exit;
}
if(empty($_GET[id])){
While($q = mysql_fetch_array($req))
{
$reqo = mysql_query("SELECT * FROM `quests` WHERE `id` = '$q[quest]'");
$quest = mysql_fetch_array($reqo);
echo"<a href=\"index.php?mod=quests&amp;act=start&amp;id=$q[id]\"><b>Квест $quest[name]</b></a><br/>";
}
}else{
$req = mysql_query("SELECT * FROM `userquests` WHERE `usr` = '$log' and `status`='start' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого квеста!';
include"files/down.php";exit;
}
$q = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `quests` WHERE `id` = '$q[quest]'");
$quest = mysql_fetch_array($req);
echo"<b>$quest[name]</b><br/>";
echo"<b>Задание:</b>$quest[mission]<br/>";



//Прогресс задания
$req1 = mysql_query("SELECT * FROM `user_kill` WHERE `usr` = '$log'");
$prog = mysql_fetch_array($req1);
echo"<b>Осталось убить:</b> $prog[killing]<br/>";
//Конец прогресса задания

echo"Статус: [<b>Активен</b>]<br/>";
}

}elseif($_GET[act]==complete){
$req = mysql_query("SELECT * FROM `userquests` WHERE `usr` = '$log' and `status`='complete'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет квестов!';
include"files/down.php";exit;
}
if(empty($_GET[id])){
While($q = mysql_fetch_array($req))
{
$reqo = mysql_query("SELECT * FROM `quests` WHERE `id` = '$q[quest]'");
$quest = mysql_fetch_array($reqo);
echo"<a href=\"index.php?mod=quests&amp;act=complete&amp;id=$q[id]\"><b>Квест $quest[name]</b></a><br/>";
}
}else{
$req = mysql_query("SELECT * FROM `userquests` WHERE `usr` = '$log' and `status`='complete' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого квеста!';
include"files/down.php";exit;
}
$q = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `quests` WHERE `id` = '$q[quest]'");
$quest = mysql_fetch_array($req);
echo"<b>$quest[name]</b><br/>";
echo"<b>Задание:</b>$quest[mission]<br/>";
echo"Статус: [<b>Завершён</b>]<br/>";
}
}else{
echo"<a href=\"index.php?mod=quests&amp;act=start\">Активные</a><br/>";
echo"<a href=\"index.php?mod=quests&amp;act=complete\">Завершёные</a><br/>";
}
echo"<a href=\"index.php?\">Назад</a>";
break;
case 'exit':
setcookie('log', '');
setcookie('pas', '');
session_destroy();
header ('Location: index.php?');exit;

break;
}
include($path.'files/down.php');
}
?>